/************************************************************
                        Global Style 
*************************************************************/
@include font-face(Avenir, '../fonts/avenir-lt-45-book', 400, normal);
@include font-face(Avenir, '../fonts/avenir-lt-55-oblique', 400, italic);
@include font-face(Avenir, '../fonts/avenir-lt-65-medium', 500, normal);
@include font-face(Avenir, '../fonts/AvenirLT-Heavy', 800, normal);
@include font-face(Avenir, '../fonts/avenir-lt-95-black', 900, normal);
@include font-face(Avenir, '../fonts/avenir-lt-95-black-oblique', 900, italic);

body {
    font: {
        family: Avenir;
        weight: 400;
        size: $base_fontsize;
    }
    color: $darkgreen;
}
h1,h2,h3,h4,h5,h6 {
    font: {
        family: Avenir;
        weight: 900;
    }
    color: $darkgreen;
}
p {
    color: $darkgreen;
    text-align: justify;
}
a {
    color: $lightgreen;
    &:hover {
        color: $darkgreen;
    }
}
.container {
    max-width: 1800px;
    width: 100%;
    padding-left: 63px;
    padding-right: 63px;
}
.contentContainer {
    /*    position: relative;
        z-index: 0;*/
    @media #{$query1600} {
        max-width: 1350px;
    }
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 20px;
}
.content_section {
    padding: {
        top: 60px;
        bottom: 60px;
    }
}
%noradius {
    @include borderRadius(0px);
}
.form-control:focus,
button, input[type="submit"],
.btn.focus, .btn:focus{
    @include noShadow;
}
.btn {
    @extend %noradius;
    background-color: $darkgreen;
    color: $white;
    height: 47px;
    line-height: 47px;
    padding: 0px 20px;
    text-transform: uppercase;
    border: 0px;
    position: relative;
    z-index:1;
    overflow: hidden;
    @include transition( color 0.25s cubic-bezier(0, 0, 0.27, 0.98) 0.1s );
    &:after {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        width: 0%;
        height: 100%;
        background: $lightgreen;
        z-index: -1;
        @include transition( all 0.35s cubic-bezier(0, 0, 0.27, 0.98) 0s );
    }
    .arrow {
        margin: {
            right: 10px;
            left: 10px;
        }
    }
    font: {
        size: 13px;
        weight: 900;
    }
    &.btn-white {
        background-color: $white;
        color:  $darkgreen;
        &:after {
            background: $darkgreen;
        }
        .arrow {
            background: {
                image: url('../images/arrow-right-dark.png');
            }
        }
        &:hover {
            color: $white;
            .arrow {
                background: {
                    image: url('../images/arrow-right-white.png');
                }
                margin: {
                    left: 20px;
                    right: 0px;
                }
            }
        }
    }
    &:hover {
        color: $white;
        .arrow {
            margin: {
                left: 20px;
                right: 0px;
            }
        }
        &:after {
            width: 100%;
        }
    }
}
.arrow {
    @include transition( all 0.35s cubic-bezier(0, 0, 0.27, 0.98) 0s );
    display: inline-block;
    width: 20px;
    height: 14px;
    margin: {
        left: 10px;
        top: -1px;
    }
    vertical-align: middle;
    background: {
        image: url('../images/arrow-right-white.png');
        repeat: no-repeat;
        size: contain;
    }
    &.black {
        background-image: url('../images/arrow-right-dark.png');
    }
    &.black.left {
        @include rotate(180deg);
    }
}

.link {
    color: $white;
    display: inline-block;
    &:hover {
        text-decoration: none;
    }
    font: {
        size: 15px;
        weight: 900;
    }
    @media #{$query767} {
        font: {
            size: 14px;
        }
    }
    .arrow {
        display: inline-block;
        width: 23px;
        height: 16px;
        margin: {
            left: 13px;
            top: -1px;
        }
        vertical-align: middle;
        background: {
            image: url('../images/arrow-right-white.png');
            repeat: no-repeat;
            size: contain;
        }
        @include transition(all 0.25s ease-in-out 0s);
        @media #{$query767} {
            width: 20px;
            height: 13px;
        }
    }
}
a {
    @include transition(all 0.35s linear);
}
%transition {
    @include transition(all 0.35s linear);
}
.heading_style {
    &.black h2 {
        color: $darkgreen;        
    }
    h2 {
        color: $white;
        position: relative;
        padding: {
            top: 32px;
            bottom: 32px;
        }
        font: {
            size: 32px;
            weight: 900;
        }

        @media #{$query1199} {
            font: {
                size: 28px;
            }
        }

        &:before,&:after {
            content: '';
            position: absolute;
            width: 45px;
            height: 45px;
            background: {
                size: contain;
                repeat: no-repeat;
            }
        }
        &:before {
            background-image: url('../images/headingborder-top.png');
            top: -20px;
            left: 134px;
        }
        &:after {
            background-image: url('../images/headingborder-bottom.png');
            bottom: 0px;
            left: -50px;
            @media #{$query1199} {
                left: -25px;
            }
        }
    }
}
.section_title {
    margin-bottom: 30px;
    h2 {
        font: {
            size: 28px;
        }
        color: $darkgreen        
    }
}
.border_style {
    position: relative;
    &:before {
        content: "";
        width:63px;
        height: 100%;
        position: absolute;
        top: 0px;
        @media #{$query1199} {
            width:45px;
        }
        @media #{$query767} {
            width:0px;
        }
    }
}
.jump_arrow {
    z-index: 5;
    display: block;
    position: absolute;
    bottom: 0%;
    right: -6px;
    cursor: pointer;
    @include transition(all 0.25s ease-in-out 0s);
    &:hover {
        bottom: -10px;
    }
    &:before {
        content: '';
        display: block;
        margin: 0;
        padding: 0;
        width: 13px;
        height: 13px;
        border-top: 3px solid #fff;
        border-right: 3px solid #fff;

        behavior: url(-ms-transform.htc);
        @include transform( rotate(135deg) );

        @media #{$query991} {
            width: 11px;
            height: 11px;
        }
    }

    &:after {
        content: '';
        height: 28px;
        width:3px;
        position: absolute;
        bottom: 0px;
        left: 50%;
        background: #fff;
        margin-left: -1.5px;
        @media #{$query991} {
            height: 23px;
        }
    }
}
img {
    max-width: 100%;
}
.img-right {
    float: right;
    margin-left: 50px;
}
.text_medium {
    p {
        font-size: 19px;
    }
    font-size: 19px;
    font-weight: 600;
}
.TextImg {
    background-color: $lightgreen;
    margin-bottom: 50px;
    .group_image {
        img {
            @media #{$query991} {
                width: 100%;
            }
        }
    }
    .text_content {
        padding: 20px;
        h2 {
            color: $white;
        }
    }
    .text_content {
        h3 {
            color: $white;
        }
    }
}
.text_weight_black {
    font-weight: 900;
}
.bg_grey {
    background: $light_grey;
}
ol li {
    margin-bottom: 15px;
}
.list {
    @include flex();
    @include flexWrap();
    &.list_dark li {
        color: $darkgreen;
        &:before {
            background: $darkgreen;
        }
    }
    &.col2 li {
        width: 50%;
        @media #{$query767} {
            width: 100%;
            margin-bottom: 6px;
        }
    }
    &.col3 li {
        width: 33.33333%;
        @media #{$query767} {
            width: 100%;
            margin-bottom: 6px;
        }
    }
    li {
        color: #fff;
        margin-bottom: 15px;
        padding-left: 17px;
        position: relative;
        &:before {
            content: "";
            width: 8px;
            height: 8px;
            background: #fff;
            @include borderRadius(50%);
            position: absolute;
            left: 0px;
            top: 7px;
        }
        .icon {
            height: 30px;
            width: 30px;
            margin-right: 15px;
            position: relative;

            img {
                max-width: 100%;
                position: absolute;
            }
        }
    }
}
.our_clients {
    padding: 70px 0px 0px;
    .cilent {
        width: 100%;
        margin-bottom: 15px;
        img {
            max-width: 120px;
            width: 100%;
        }
    }
}
.page_loader {
    width: 100%;
    height: 100%; 
    position: fixed;
    top: 0px;
    left: 0;
    z-index: 99999999;
    @include flex();
    @include justifyContent(center);
}
.page_loader .layer1,
.page_loader .layer2 {
    width: 3500px;
    height: 3500px;
    position: fixed;
    background-color: $lightgreen;
    top: 0;
    bottom:0;
    margin: auto auto;
    @include borderRadius(100%);
    @include translate( scale(0) );
}
.page_loader .layer2 {
    background-color: $white;
}
.page_loader.start  .layer1,
.page_loader.start  .layer2 {
    -webkit-animation-name: Loading;
    animation-name: Loading;
    animation-direction:normal;
    -webkit-animation-duration: 2.2s;
    animation-duration: 2.2s;
    -webkit-animation-iteration-count: infinite;
    animation-iteration-count: infinite;            
    -webkit-animation-delay: 0s;    
    animation-delay: 0s;
}
.page_loader.start  .layer2 {
    -webkit-animation-delay: 0.5s;
    animation-delay: 0.5s;
}
.reveal_wrap {
    position: relative;
    overflow: hidden;
}
.reveal_wrap .image {
    opacity: 0;
    @include transition( all 0.5s ease-in-out 0s );
}
.reveal_wrap.animateStart .image {
    transition-delay: 0.5s; 
    opacity: 1;
}
.colorLayerTop,
.colorLayerLeft,
.colorLayerRight {
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: #95b186;
    @include transition( all 0.7s ease 0s );
}
.colorLayerTop {
    left: 0px;
    top: -100%;
}
.colorLayerLeft {
    top: 0px;
    left: -100%;
}
.colorLayerRight {
    top: 0px;
    right: -100%;
}
.animateStart .colorLayerTop  {
    animation: revealTop 1.2s;
}
.animateStart .colorLayerLeft  {
    animation: revealLeft 1.2s;
}
.animateStart .colorLayerRight  {
    animation: revealRight 1.2s;
}
.cus_animate {
    @include transition( all 0.7s ease 0.1s );
    opacity: 0;
    visibility: hidden;    
}
.cus_animate.animateStart {
    opacity: 1;
    visibility: visible;  
}
.fromTop {    
    @include translate( translateY(-20px) );
}
.fromTop.animateStart {
    @include translate( translateY(0px) );
}
.fromBottom {
    @include translate( translateY(20px) );
}
.fromBottom.animateStart {
    @include translate( translateY(0px) );
}
.fromLeft {
    @include translate( translateX(-20px) );
}
.fromLeft.animateStart {
    @include translate( translateX(0px) );
}
.fromRight {
    @include translate( translateX(20px) );
}
.fromRight.animateStart {
    @include translate( translateX(0px) ); 
}
.cursor {
    width: 90px;
    height: 90px;
    border-radius: 50%;
    background-color: #A9A19C;
    position: absolute;
    margin-left: -45px;
    margin-top: -45px;
    transform: scale(0);
    z-index: 9999;
    @include transform( scale(0) );
    @include transition( all 0.5s ease 0s );
}
.cursor.zoom {
    @include transform( scale(1.5) );
    opacity: 0;
}
.loadingClose {
    width: 100%;
    height: 100%; 
    position: fixed;
    top: 0px;
    left: 100%;
    z-index: 99999999;
    @include transition( all 0.25s ease-in-out 0s );
}
.loadingClose .layer1,
.loadingClose .layer2 {
    @include flex();
    @include flexalign( center );
    width: 50%;
    height: 100%; 
    position: fixed;
    background-color: $lightgreen;
    top: 0;
    opacity: 0;
    visibility: hidden;
    overflow: hidden;
}
.loadingClose .layer1 svg, 
.loadingClose .layer2 svg {
    position: absolute;
    height: 70%;
    @include transform( rotateY(-190deg) );
}
.loadingClose .layer1 svg {
    right: -2px;
}
.loadingClose .layer2 svg {
    left: -2px;
}
.loadingClose .layer1 {
    left: -20%;
    transition: opacity 0.5s ease-in-out 0s, left 0.5s ease-in-out 0s;
    -moz-transition: opacity 0.5s ease-in-out 0s, left 0.5s ease-in-out 0s;
    -webkit-transition: opacity 0.5s ease-in-out 0s, left 0.5s ease-in-out 0s;
    -ms-transition: opacity 0.5s ease-in-out 0s, left 0.5s ease-in-out 0s;
    -o-transition: opacity 0.5s ease-in-out 0s, left 0.5s ease-in-out 0s;
}
.loadingClose .layer2 {
    background-color: $darkgreen;
    right: -20%;
    transition: opacity 0.5s ease-in-out 0s, right 0.5s ease-in-out 0s;
    -moz-transition: opacity 0.5s ease-in-out 0s, right 0.5s ease-in-out 0s;
    -webkit-transition: opacity 0.5s ease-in-out 0s, right 0.5s ease-in-out 0s;
    -ms-transition: opacity 0.5s ease-in-out 0s, right 0.5s ease-in-out 0s;
    -o-transition: opacity 0.5s ease-in-out 0s, right 0.5s ease-in-out 0s;
}
.loadingClose.start  .layer1{
    opacity: 1;
    visibility: visible;
    left: 0%;
}
.loadingClose.start  .layer2 {
    right: 0%;
    opacity: 1;
    visibility: visible;
}

.loadingOpen {
    width: 100%;
    height: 100%; 
    position: fixed;
    top: 0px;
    left: 100%;
    z-index: 99999999;
}
.loadingOpen .layer1,
.loadingOpen .layer2 {
    @include flex();
    @include flexalign( center );
    width: 50%;
    height: 100%; 
    position: fixed;
    background-color: $lightgreen;
    top: 0;
    opacity: 1;
    visibility: visible;
    overflow: hidden;

    transition: opacity 0.5s ease-in-out 0s, visibility 0.5s ease-in-out 0s;
    -moz-transition: opacity 0.5s ease-in-out 0s, visibility 0.5s ease-in-out 0s;
    -webkit-transition: opacity 0.5s ease-in-out 0s, visibility 0.5s ease-in-out 0s;
    -ms-transition: opacity 0.5s ease-in-out 0s, visibility 0.5s ease-in-out 0s;
    -o-transition: opacity 0.5s ease-in-out 0s, visibility 0.5s ease-in-out 0s;
}
.loadingOpen .layer1 svg, 
.loadingOpen .layer2 svg {
    position: absolute;
    height: 70%;
    @include transform( rotateY(-190deg) );
}
.loadingOpen .layer1 svg {
    right: -2px;
}
.loadingOpen .layer2 svg {
    left: -2px;
}
.loadingOpen .layer1 {
    left: 0%;
}
.loadingOpen .layer2 {
    background-color: $darkgreen;
    right: 0%;
}
.loadingOpen.start .layer1 {
    left: -30%;
    opacity: 0;
    visibility: hidden;   
    transition: opacity 0.5s ease-in-out 0s, visibility 0.5s ease-in-out 0s, left 0.5s ease-in-out 0s;
    -moz-transition: opacity 0.5s ease-in-out 0s, visibility 0.5s ease-in-out 0s, left 0.5s ease-in-out 0s;
    -webkit-transition: opacity 0.5s ease-in-out 0s, visibility 0.5s ease-in-out 0s, left 0.5s ease-in-out 0s;
    -ms-transition: opacity 0.5s ease-in-out 0s, visibility 0.5s ease-in-out 0s, left 0.5s ease-in-out 0s;
    -o-transition: opacity 0.5s ease-in-out 0s, visibility 0.5s ease-in-out 0s, left 0.5s ease-in-out 0s;
}
.loadingOpen.start .layer2 {
    right: -30%;
    opacity: 0;
    visibility: hidden;   
    transition: opacity 0.5s ease-in-out 0s, visibility 0.5s ease-in-out 0s, right 0.5s ease-in-out 0s;
    -moz-transition: opacity 0.5s ease-in-out 0s, visibility 0.5s ease-in-out 0s, right 0.5s ease-in-out 0s;
    -webkit-transition: opacity 0.5s ease-in-out 0s, visibility 0.5s ease-in-out 0s, right 0.5s ease-in-out 0s;
    -ms-transition: opacity 0.5s ease-in-out 0s, visibility 0.5s ease-in-out 0s, right 0.5s ease-in-out 0s;
    -o-transition: opacity 0.5s ease-in-out 0s, visibility 0.5s ease-in-out 0s, right 0.5s ease-in-out 0s;
}
.img_hover_effect {
    position: relative;
}
.over_effect {
    padding: 3em;
    height: 100%;
    width: 100%;
    position: absolute;
    left: 0px;
    top: 0px;
    @include flex();
    @include flexalign(center);
    @include justifyContent(center);
    z-index: 1;

    @include transition(background 0.25s ease-in-out 0s);
}
.over_effect > span {
    font-weight: 900;
    color: $white;
    display: block;

    padding: 0.5em 2em;
    text-transform: none;
    opacity: 0;
    @include transform( translate3d(0, -10px, 0) );
}
.over_effect:before,
.over_effect:after {
    position: absolute;
    content: '';
    opacity: 0;
}
.over_effect:before {
    top: 50px;
    right: 30px;
    bottom: 50px;
    left: 30px;
    border-top: 1px solid $white;
    border-bottom: 1px solid $white;
    -webkit-transform: scale(0,1);
    transform: scale(0,1);
    -webkit-transform-origin: 0 0;
    transform-origin: 0 0;
}
.over_effect:after {
    top: 30px;
    right: 50px;
    bottom: 30px;
    left: 50px;
    border-right: 1px solid $white;
    border-left: 1px solid $white;
    -webkit-transform: scale(1,0);
    transform: scale(1,0);
    -webkit-transform-origin: 100% 0;
    transform-origin: 100% 0;
}
.img_hover_effect img,
.over_effect:before,
.over_effect:after,
.over_effect > span {
    -webkit-transition: opacity 0.35s, -webkit-transform 0.35s;
    transition: opacity 0.35s, transform 0.35s;
}
.img_hover_effect:hover img {
    opacity: 0.7;
}
.img_hover_effect:hover span {
    opacity: 1;
    @include transform( translate3d(0,0px, 0) );
}
.img_hover_effect:hover .over_effect:before,
.img_hover_effect:hover .over_effect:after {
    opacity: 1;
    -webkit-transform: scale(1);
    transform: scale(1);
}
.img_hover_effect:hover .over_effect {
    background-color: rgba(0,0,0,0.4);
}
.img_hover_effect:hover .over_effect p {
    opacity: 1;
    -webkit-transform: translate3d(0,0,0);
    transform: translate3d(0,0,0);
}
.img_hover_effect:hover .over_effect:after,
.img_hover_effect:hover .over_effect > span,
.img_hover_effect:hover .img_hover_effect img {
    -webkit-transition-delay: 0.15s;
    transition-delay: 0.15s;
}
/************************************************************
                        Global Style END
*************************************************************/